> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# kbaccesslevel

> MDO provider for the KbAccessLevel enum

## "kbaccesslevel" MDO List

MDO provider for the KbAccessLevel enum

Implemented by the <see cref="T:SuperOffice.CRM.Lists.KbAccessLevelProvider">KbAccessLevelProvider</see> class.
The name of the MDO list is 'kbaccesslevel'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/kbaccesslevel
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("kbaccesslevel", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                               | StyleHint | ExtraInfo           |
| -- | ---------------------------------- | --------- | ------------------- |
| 1  | Private                            |           | Private             |
| 2  | Accessible to internal users       |           | Internal            |
| 3  | Accessible to registered customers |           | PublicAuthenticated |
| 4  | Accessible to everyone             |           | Public              |

## Related MDO Lists

* "kbaccesslevelheadings"
* "kbaccesslevelheadingswithallitem"
* "kbaccesslevelheadingswithallitemwithnoselection"
* "kbaccesslevelheadingswithnoselection"
* "kbaccesslevelwithallitem"
* "kbaccesslevelwithallitemwithnoselection"
* "kbaccesslevelwithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.KbAccessLevel](/en/api/reference/webapi/SuperOffice.WebApi.Data.KbAccessLevel.md)
- [SuperOffice.WebApi.Data.PreviewFaqEntry](/en/api/reference/webapi/SuperOffice.WebApi.Data.PreviewFaqEntry.md)
- [WebAPI changes in SuperOffice 12.1](/release-notes/12/api/changes-webapi-12.1.1412.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [SuperOffice.WebApi.Data](/en/api/reference/webapi/SuperOffice.WebApi.Data.md)
